Skip to main content
GET
/
jobs
List jobs
curl --request GET \
  --url https://hireloam.com/api/v1/jobs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://hireloam.com/api/v1/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://hireloam.com/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jobs": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "title": "Senior Software Engineer",
      "status": "published",
      "department": "Engineering",
      "location": "San Francisco, CA",
      "employment_type": "full_time",
      "public_slug": "senior-software-engineer",
      "created_at": "2024-01-15T10:30:00Z",
      "stages": [
        {
          "id": "stage-1",
          "name": "Inbox",
          "order_index": 0
        }
      ]
    }
  ]
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Query Parameters

status
enum<string>

Filter jobs by status

Available options:
published,
draft,
closed

Response

List of jobs

jobs
object[]